## org.apache.poi.xssf.usermodel
Class XSSFChildAnchor

    java.lang.Object
      org.apache.poi.xssf.usermodel.XSSFAnchor
          org.apache.poi.xssf.usermodel.XSSFChildAnchor

    public final class XSSFChildAnchor

extends XSSFAnchor

Author:
  Yegor Kozlov

Constructor Summary
`XSSFChildAnchor(org.openxmlformats.schemas.drawingml.x2006.main.CTTransform2D t2d)`
`XSSFChildAnchor(int x, int y, int cx, int cy)`

Method Summary
`org.openxmlformats.schemas.drawingml.x2006.main.CTTransform2D` `getCTTransform2D()`
`int` `getDx1()`
`int` `getDx2()`
`int` `getDy1()`
`int` `getDy2()`
`void` `setDx1(int dx1)`
`void` `setDx2(int dx2)`
`void` `setDy1(int dy1)`
`void` `setDy2(int dy2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFChildAnchor

    public XSSFChildAnchor(int x,
                           int y,
                           int cx,
                           int cy)

### XSSFChildAnchor

    public XSSFChildAnchor(org.openxmlformats.schemas.drawingml.x2006.main.CTTransform2D t2d)

Method Detail

### getCTTransform2D

    @Internal
    public org.openxmlformats.schemas.drawingml.x2006.main.CTTransform2D getCTTransform2D()

### getDx1

    public int getDx1()

  Specified by:
    `getDx1` in class `XSSFAnchor`

### setDx1

    public void setDx1(int dx1)

  Specified by:
    `setDx1` in class `XSSFAnchor`

### getDy1

    public int getDy1()

  Specified by:
    `getDy1` in class `XSSFAnchor`

### setDy1

    public void setDy1(int dy1)

  Specified by:
    `setDy1` in class `XSSFAnchor`

### getDy2

    public int getDy2()

  Specified by:
    `getDy2` in class `XSSFAnchor`

### setDy2

    public void setDy2(int dy2)

  Specified by:
    `setDy2` in class `XSSFAnchor`

### getDx2

    public int getDx2()

  Specified by:
    `getDx2` in class `XSSFAnchor`

### setDx2

    public void setDx2(int dx2)

  Specified by:
    `setDx2` in class `XSSFAnchor`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.